Package org.eclipse.emf.cdo.server

# Class RepositoryNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.server.RepositoryNotFoundException

All Implemented Interfaces:
  `Serializable`

public class RepositoryNotFoundException extends CDOException
An unchecked exception being thrown when opening a `session` to a named `repository` that cannot be found.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RepositoryNotFoundException(String repositoryName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`String`
`getRepositoryName()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RepositoryNotFoundException

public RepositoryNotFoundException(String repositoryName)

## Method Details

### getRepositoryName

public String getRepositoryName()

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`